> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add List Definition

> A `POST` to the `/lists/definitions` endpoint allows your application to create a List Definition.



## OpenAPI

````yaml post /v3/lists/definitions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/lists/definitions:
    post:
      tags:
        - List Definition
      summary: Add List Definition
      description: >-
        A `POST` to the `/lists/definitions` endpoint allows your application to
        create a List Definition.
      operationId: lists.definitions.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreListDefinition'
      responses:
        '200':
          description: '`ListDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ListDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreListDefinition:
      type: object
      properties:
        name:
          type: string
        handle:
          type: string
        type:
          type: string
        icon:
          type:
            - string
            - 'null'
          format: uri
        cover:
          type:
            - string
            - 'null'
          format: uri
        timezone:
          type: string
        reservation_period:
          type: integer
        reservation_period_type:
          type: string
          enum:
            - days
            - weeks
            - months
            - years
            - absolute_date
            - absolute_week
            - absolute_month
        reservation_absolute_expiry:
          type:
            - string
            - 'null'
        reservation_reserved_target_id:
          type:
            - integer
            - 'null'
        reservation_notify_reserved_offset_days:
          type:
            - integer
            - 'null'
        reservation_notify_reserved_offset_hours:
          type:
            - integer
            - 'null'
        reservation_expiry_target_id:
          type:
            - integer
            - 'null'
        reservation_remind_target_id:
          type:
            - integer
            - 'null'
        reservation_notify_remind_offset_days:
          type:
            - integer
            - 'null'
        reservation_notify_remind_offset_hours:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
        short_description:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        allow_share:
          type:
            - boolean
            - 'null'
        allow_quantity:
          type:
            - boolean
            - 'null'
        allow_reserve:
          type:
            - boolean
            - 'null'
        allow_custom_product:
          type:
            - boolean
            - 'null'
        is_published:
          type:
            - boolean
            - 'null'
        is_active:
          type:
            - boolean
            - 'null'
        allow_edit:
          type:
            - boolean
            - 'null'
        allow_new:
          type:
            - boolean
            - 'null'
        allow_delete:
          type:
            - boolean
            - 'null'
        organisation_id:
          type:
            - integer
            - 'null'
        tags:
          type: array
          items:
            type: string
      required:
        - name
        - handle
        - type
      title: StoreListDefinition
    ListDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        type:
          type: string
        icon:
          type:
            - string
            - 'null'
        cover:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        allow_share:
          type: boolean
        allow_quantity:
          type: boolean
        allow_reserve:
          type: boolean
        allow_custom_product:
          type: boolean
        timezone:
          type:
            - string
            - 'null'
        reservation_period:
          type:
            - integer
            - 'null'
        reservation_period_type:
          type:
            - string
            - 'null'
        reservation_absolute_expiry:
          type:
            - string
            - 'null'
        reservation_reserved_target_id:
          type:
            - integer
            - 'null'
        reservation_notify_reserved_offset_days:
          type:
            - integer
            - 'null'
        reservation_notify_reserved_offset_hours:
          type:
            - integer
            - 'null'
        reservation_expiry_target_id:
          type:
            - integer
            - 'null'
        reservation_remind_target_id:
          type:
            - integer
            - 'null'
        reservation_notify_remind_offset_days:
          type:
            - integer
            - 'null'
        reservation_notify_remind_offset_hours:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_published:
          type: boolean
        is_active:
          type: boolean
        allow_edit:
          type: boolean
        allow_new:
          type: boolean
        allow_delete:
          type: boolean
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        organisation:
          anyOf:
            - $ref: '#/components/schemas/Organisation'
            - type: 'null'
      required:
        - id
        - name
        - handle
        - type
        - icon
        - cover
        - short_description
        - description
        - allow_share
        - allow_quantity
        - allow_reserve
        - allow_custom_product
        - timezone
        - reservation_period
        - reservation_period_type
        - reservation_absolute_expiry
        - reservation_reserved_target_id
        - reservation_notify_reserved_offset_days
        - reservation_notify_reserved_offset_hours
        - reservation_expiry_target_id
        - reservation_remind_target_id
        - reservation_notify_remind_offset_days
        - reservation_notify_remind_offset_hours
        - meta
        - is_published
        - is_active
        - allow_edit
        - allow_new
        - allow_delete
        - tags
        - organisation
      title: ListDefinition
    Tag:
      type: string
      title: Tag
    Organisation:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        type:
          type: string
        status:
          type:
            - string
            - 'null'
        is_tenant:
          type:
            - integer
            - 'null'
        is_active:
          type:
            - integer
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        secondary_phone:
          type:
            - string
            - 'null'
        domain:
          type:
            - string
            - 'null'
        authorised_domains:
          type:
            - array
            - 'null'
          items: {}
        meta:
          type:
            - array
            - 'null'
          items: {}
        locations:
          type: array
          items:
            $ref: '#/components/schemas/Location'
        address:
          $ref: '#/components/schemas/Address'
        custom_fields:
          type: object
          additionalProperties: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - description
        - short_description
        - icon
        - image_url
        - notes
        - type
        - status
        - is_tenant
        - is_active
        - phone
        - email
        - secondary_phone
        - domain
        - authorised_domains
        - meta
        - locations
        - address
        - custom_fields
        - created_at
        - updated_at
      title: Organisation
    Location:
      type: object
      properties:
        id:
          type: integer
        type:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        timezone:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        is_permanently_closed:
          type: boolean
        address:
          $ref: '#/components/schemas/Address'
        normal_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        special_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: object
          additionalProperties: {}
        icon:
          type:
            - string
            - 'null'
        country_iso_3:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        departments:
          type: array
          items:
            $ref: '#/components/schemas/Department'
      required:
        - id
        - type
        - name
        - handle
        - description
        - phone
        - email
        - timezone
        - external_id
        - external_code
        - is_published
        - is_permanently_closed
        - address
        - normal_hours
        - special_hours
        - tags
        - custom_fields
        - icon
        - country_iso_3
        - image_url
        - created_at
        - updated_at
        - departments
      title: Location
    Address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        address_line_3:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        latitude:
          type:
            - number
            - 'null'
        longitude:
          type:
            - number
            - 'null'
        city:
          type: string
        postcode:
          type: string
        state:
          type:
            - string
            - 'null'
        country:
          type: string
        notes:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        name:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        iso:
          type:
            - string
            - 'null'
        iso_state:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        custom_fields:
          type: object
          additionalProperties: {}
      required:
        - id
        - address_line_1
        - address_line_2
        - address_line_3
        - company
        - latitude
        - longitude
        - city
        - postcode
        - state
        - country
        - notes
        - external_id
        - is_default
        - created_at
        - updated_at
        - meta
        - name
        - type
        - phone
        - iso
        - iso_state
        - profile_id
        - custom_fields
      title: Address
    LocationHour:
      type: array
      items: {}
      title: LocationHour
    Department:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        internal_note:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        brand_id:
          type: integer
        location_id:
          type:
            - integer
            - 'null'
        brand:
          type: object
          properties:
            name:
              type: string
            handle:
              type: string
          required:
            - name
            - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - external_id
        - external_code
        - description
        - short_description
        - url
        - image_url
        - internal_note
        - meta
        - brand_id
        - location_id
        - brand
        - created_at
        - updated_at
      title: Department
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````